from .alignment import collect_error_counts, visualize_alignment, visualize_error_counts
from .measures import cer, mer, wer, wil, wip
from .process import (
    AlignmentChunk,
    CharacterOutput,
    WordOutput,
    process_characters,
    process_words,
)
from .transformations import (
    cer_contiguous,
    cer_default,
    wer_contiguous,
    wer_default,
    wer_standardize,
    wer_standardize_contiguous,
)
from .transforms import (
    AbstractTransform,
    Compose,
    ExpandCommonEnglishContractions,
    ReduceToListOfListOfChars,
    ReduceToListOfListOfWords,
    ReduceToSingleSentence,
    RemoveEmptyStrings,
    RemoveKaldiNonWords,
    RemoveMultipleSpaces,
    RemovePunctuation,
    RemoveSpecificWords,
    RemoveWhiteSpace,
    Strip,
    SubstituteRegexes,
    SubstituteWords,
    ToLowerCase,
    ToUpperCase,
)

name = "jiwer"

__version__ = "4.0.0"
__all__ = [
    visualize_alignment,
    visualize_error_counts,
    collect_error_counts,
    cer,
    mer,
    wer,
    wil,
    wip,
    AlignmentChunk,
    CharacterOutput,
    WordOutput,
    process_characters,
    process_words,
    AbstractTransform,
    Compose,
    ExpandCommonEnglishContractions,
    ReduceToListOfListOfChars,
    ReduceToListOfListOfWords,
    ReduceToSingleSentence,
    RemoveEmptyStrings,
    RemoveKaldiNonWords,
    RemoveMultipleSpaces,
    RemovePunctuation,
    RemoveSpecificWords,
    RemoveWhiteSpace,
    Strip,
    SubstituteRegexes,
    SubstituteWords,
    ToLowerCase,
    ToUpperCase,
    cer_contiguous,
    cer_default,
    wer_contiguous,
    wer_default,
    wer_standardize,
    wer_standardize_contiguous,
]
